# Delete certificate signing request

This function deletes a certificate signing request (CSR).

Note:

* When you call this function, you must include the id or the friendly_name
parameter.
* To delete a private key, use the UAPI SSL::delete_key function instead.

Important:

When you disable the Calendars and Contacts, Receive Mail, Web Disk, Webmail,
and Web Server roles,
the system disables this function.

Endpoint: GET /SSL/delete_csr
Version: 11.138.0.6
Security: BasicAuth

## Query parameters:

  - `friendly_name` (string)
    The CSR's friendly name.
    Example: "TestCSR"

  - `id` (string)
    The CSR's ID.
    Example: "example_com_e095f_0ab2f_ebcbe4a571276f48562241411556647f"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "delete_csr"

  - `module` (string)
    The name of the module called.
    Example: "SSL"

  - `result` (object)

  - `result.data` (array)

  - `result.data.commonName` (string)
    The CSR's Common Name.
    Example: "example.com"

  - `result.data.created` (integer)
    The CSR's creation date.
    Example: 1538308800

  - `result.data.domains` (array)
    A list of the domains that the CSR covers.
    Example: ["example.com"]

  - `result.data.ecdsa_curve_name` (string,null)
    The ECDSA curve that the CSR's key uses.

* prime256v1
* secp384r1
* null — The CSR's key is not an ECDSA key.
    Enum: "prime256v1", "secp384r1"

  - `result.data.ecdsa_public` (string,null)
    The CSR's key's ECDSA compressed public point, in hexadecimal format.

* null — The CSR's key is not an ECDSA key.

  - `result.data.friendly_name` (string)
    The CSR's friendly name.
    Example: "TestCSR"

  - `result.data.id` (string)
    The CSR's ID.
    Example: "example_com_e095f_0ab2f_ebcbe4a571276f48562241411556647f"

  - `result.data.key_algorithm` (string)
    The CSR's key's algorithm.

* rsaEncryption — RSA.
* id-ecPublicKey — ECDSA.
    Enum: "rsaEncryption", "id-ecPublicKey"

  - `result.data.modulus` (string,null)
    The CSR's key's modulus, in hexadecimal format.

* null — The CSR's key is not an RSA key.
    Example: "a74f7636fa6ac93ee6836a83a995b55deb5019ea36d7ba3dafb00e38d693acd\nb0c81b2ff777d6b433a420fae523f127f352a68bcc8b8f2d6ee7b70395bafab\nd8237ada8164fdddf8376b30375c35d4d4cbcce7d33d08069c17b409176a368\n9f1ebc97c0b08fe6ae44c19a92ac6d68448e7f1d13f3b360affd4222a51b4f3\n5342de99b5a1fb5548e438f2d824664562a448002eed7fce24dedc7dc3e1ed1\n79973d1dae959b33716eeb410d172708954e00632cbf60a0e26419860c8c0bc\n285d6bfe4b479de0dd189772a5dae676bd2a92acccc1369821be8cffddd8a7e\n6ecc061f8a32a9ae0661e4e946ed8e3827b277138d3a76116567cbd129cbd86\n9ef9dddf"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    * 1 — Success.
* 0 — Failed. Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


